Bug 157471 - -webkit-isolate incorrectly measures width of inline elements
Summary: -webkit-isolate incorrectly measures width of inline elements
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: Safari 9
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-09 04:04 PDT by Derk-Jan Hartman
Modified: 2016-05-11 11:17 PDT (History)
3 users (show)

See Also:


Attachments
Page with css statement applied (1.17 MB, image/png)
2016-05-09 04:04 PDT, Derk-Jan Hartman
no flags Details
Page with css statement disabled (1.49 MB, image/png)
2016-05-09 04:05 PDT, Derk-Jan Hartman
no flags Details
webarchive of page in the screenshots (490.69 KB, application/x-webarchive)
2016-05-09 04:05 PDT, Derk-Jan Hartman
no flags Details
Test reduction (852 bytes, text/html)
2016-05-10 11:58 PDT, zalan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Derk-Jan Hartman 2016-05-09 04:04:46 PDT
Created attachment 278399 [details]
Page with css statement applied

Although the tab lockup of #148573 seems fixed in Safari 9, it seems that it is incorrectly measuring the width of inline elements (spanning multiple lines ???). Content overflows outside of the expected boundaries and random spacing is introduced between words.

Attached are a screenshot of a page with -webkit-isolate enabled on the .comment class, a screenshot with the rule disabled and a webarchive of the page.

This problem does not occur in Chrome.
Comment 1 Derk-Jan Hartman 2016-05-09 04:05:11 PDT
Created attachment 278400 [details]
Page with css statement disabled
Comment 2 Derk-Jan Hartman 2016-05-09 04:05:48 PDT
Created attachment 278401 [details]
webarchive of page in the screenshots
Comment 3 zalan 2016-05-10 11:58:24 PDT
Created attachment 278517 [details]
Test reduction